i2o_block_issue_flush
Prev | I2O message devices | Next

## Name

i2o_block_issue_flush — device-flush interface for block-layer

## Synopsis

`int i2o_block_issue_flush (` | struct request_queue * | queue,
| struct gendisk * | disk,
| sector_t * | error_sector`)`;

## Arguments

`queue`

  the request queue of the device which should be flushed

`disk`

  gendisk

`error_sector`

  error offset

## Description

Helper function to provide flush functionality to block-layer.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_block_device_flush | Home | i2o_block_device_mount